## MateRRLabeler MateRRLabeler |

## Functions

MateRRLabeler * | mate_rr_labeler_new ()
void | mate_rr_labeler_hide ()

## Properties

MateRRConfig * | config | Write / Construct Only

## Types and Values

struct | MateRRLabeler

## Object Hierarchy

        GObject
        ╰── MateRRLabeler

## Includes

    #include <mate-rr-labeler.h>

## Description

## Functions

### mate_rr_labeler_new ()

    MateRRLabeler *
    mate_rr_labeler_new (MateRRConfig *config);

Create a GUI element that will display colored labels on each connected monitor. This is useful when users are required to identify which monitor is which, e.g. for for configuring multiple monitors. The labels will be shown by default, use mate_rr_labeler_hide to hide them.

#### Parameters

config | Configuration of the screens to label |

#### Returns

A new MateRRLabeler

### mate_rr_labeler_hide ()

    void
    mate_rr_labeler_hide (MateRRLabeler *labeler);

Hide ouput labels.

#### Parameters

labeler | A MateRRLabeler |

## Types and Values

### struct MateRRLabeler

    struct MateRRLabeler;

## Property Details

### The `“config”` property

      “config”                   MateRRConfig *

RandR configuration to label.

Flags: Write / Construct Only